* RealName.prg  29-Jun-96

* This function returns the real unadulterated name of a design time object
* VFP while editing a form adds it to an internal Formset
* while editing a class it adds it to an internal Form of a Formset

function RealName( roObject )

local i, lcName, luSCX, lcWindow

lcName = FullName( m.roObject )
luSCX = sys( 1271, m.roObject )

if ( type( "luSCX" ) == "L" )
   * it's a class, strip off artificial formset and form
   i = at( '.', m.lcName, 2 )
else
   * see if the .scx is open in the form designer
   lcWindow = "FORM DESIGNER - " + upper( substr( m.luSCX, rat( '\', m.luSCX ) + 1 ) )
   if ( wexist( m.lcWindow ) )
      * it's on a real form, strip off the artificial formset
      i = at( '.', m.lcName )
   else
      * it's a running form, leave the name alone
      i = 0
   endif
endif

if ( i > 0 )
   lcName = substr( m.lcName, i+1 )
endif

return m.lcName
